Skip to navigation

Update an MCP server

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

server_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional1-255 characters
urlstring or nullOptional<=2000 characters
transportstring or nullOptional
headersmap from strings to nullable strings or nullOptional

Changes only the headers given; null removes one

allowed_toolslist of strings or nullOptional
is_activeboolean or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error